BDU:2020-03820: Уязвимость средства для запуска сценариев Web Worker веб-браузеров Firefox ESR и Firefox и почтового клиента Thunderbird, позволяющая нарушителю вызвать отказ в обслуживании

Описание уязвимости

Уязвимость средства для запуска сценариев Web Worker веб-браузеров Firefox ESR и Firefox и почтового клиента Thunderbird связана с ошибками выполнения многопоточных задач (состояние гонки). Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании

Вендор

Canonical Ltd., ООО «РусБИТех-Астра», Novell Inc., Mozilla Corp., АО «Концерн ВНИИНС»

Наименование ПО

Ubuntu, Astra Linux Special Edition (запись в едином реестре российских программ №369), OpenSUSE Leap, Firefox, Firefox ESR, Thunderbird, ОС ОН «Стрелец» (запись в едином реестре российских программ №6177)

Версия ПО

  • 16.04 LTS (Ubuntu)
  • 18.04 LTS (Ubuntu)
  • 1.6 «Смоленск» (Astra Linux Special Edition)
  • 15.1 (OpenSUSE Leap)
  • 20.04 LTS (Ubuntu)
  • до 76.0 (Firefox)
  • до 68.8.0 (Firefox ESR)
  • до 68.8.0 (Thunderbird)
  • 1.0 (ОС ОН «Стрелец»)

Тип ПО

Операционная система, Прикладное ПО информационных систем

Операционные системы и аппаратные платформы

Тип ошибки

Одновременное выполнение с использованием общего ресурса с неправильной синхронизацией («Ситуация гонки»)

Идентификатор типа ошибки

Класс уязвимости

Уязвимость кода

Дата выявления

26.05.2020

Базовый вектор уязвимости

Уровень опасности уязвимости

Средний уровень опасности (базовая оценка CVSS 2.0 составляет 6,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,3)

Возможные меры по устранению уязвимости

Использование рекомендаций:
Для программных продуктов Mozilla Corp.:
https://www.mozilla.org/security/advisories/mfsa2020-16/
https://www.mozilla.org/security/advisories/mfsa2020-17/
https://www.mozilla.org/security/advisories/mfsa2020-18/

Для программных продуктов Novell Inc.:
https://www.suse.com/security/cve/CVE-2020-12387/

Для Ubuntu:
https://usn.ubuntu.com/4373-1/

Для Astra Linux:
Обновление программного обеспечения (пакета firefox) до 77.0-1 или более поздней версии, (пакета firefox-esr) до 68.9.0esr-1~deb10u1 или более поздней версии, (пакета thunderbird) до 1:68.9.0-1~deb10u1 или более поздней версии
Или использование рекомендаций производителя: https://wiki.astralinux.ru/astra-linux-se16-bulletin-20210730SE16


Для ОС ОН «Стрелец»:
https://strelets.net/patchi-i-obnovleniya-bezopasnosti#kumulyativnoe-obnovlenie

Статус уязвимости

Подтверждена производителем

Наличие эксплойта

Данные уточняются

Способ эксплуатации

  • Манипулирование сроками и состоянием

Способ устранения

Обновление программного обеспечения

Информация об устранении

Уязвимость устранена

Идентификаторы других систем описаний уязвимостей

Прочая информация

Данные уточняются
Последние изменения